RANLIB(1)

NUME
ranlib - generează un index pentru o arhivă

REZUMAT
ranlib [--plugin nume] [-DhHvVt] arhiva

DESCRIERE
ranlib generează un index al conținutului unei arhive și îl stochează în arhivă. Indexul enumeră fiecare simbol definit de un membru al unei arhive care este un fișier obiect realocabil.

Puteți utiliza nm -s sau nm --print-armap pentru a lista acest index.

O arhivă cu un astfel de index accelerează crearea de legături către bibliotecă și permite rutinelor din bibliotecă să se apeleze între ele fără a ține cont de poziția lor în arhivă.

Programul GNU ranlib este o altă formă de GNU ar; rularea programului ranlib este complet echivalentă cu execuția lui ar -s.

OPȚIUNI

-h
-H
--help
    Afișează informații de utilizare pentru ranlib.

-v
-V
--version
    Afișează numărul de versiune al ranlib.

-D  Funcționează în modul determinist. În antetul membrului arhivei de hărți de simboluri se va afișa zero pentru UID, GID, și marca de timp. Când se utilizează această opțiune, mai multe rulări vor produce fișiere de ieșire identice.

    Dacă binutils a fost configurat cu --enable-deterministic-archives, atunci acest mod este activat în mod implicit. Acesta poate fi dezactivat cu opțiunea -U, descrisă mai jos.

-t  Actualizează marca de timp a hărții de simboluri a unei arhive.

-U  Nu funcționează în modul determinist. Acesta este inversul opțiunii -D, de mai sus: indexul arhivei va obține valorile reale UID, GID, marca de timp și modul de fișier.

    Dacă binutils a fost configurat fără opțiunea --enable-deterministic-archives, atunci acest mod este activat în mod implicit.

@fișier
    Citește opțiunile liniei de comandă din fișier. Opțiunile citite sunt inserate în locul opțiunii originale @fișier. Dacă fișier nu există sau nu poate fi citit, atunci opțiunea va fi tratată literal și nu va fi eliminată.

    Opțiunile din fișier sunt separate prin spații albe. Un caracter de spațiere poate fi inclus într-o opțiune prin includerea întregii opțiuni între ghilimele simple sau duble. Orice caracter (inclusiv o bară oblică inversă) poate fi inclus prin prefixarea caracterului care urmează să fie inclus cu o bară oblică inversă. fișier poate conține la rândul său opțiuni @fișier suplimentare; orice astfel de opțiuni vor fi procesate în mod recursiv.

CONSULTAȚI ȘI
ar(1), nm(1), and the Info entries for binutils.

DREPTURI DE AUTOR
Drepturi de autor © 1991-2023 Free Software Foundation, Inc.

Se acordă permisiunea de a copia, distribui și/sau modifica acest document în conformitate cu termenii licenței GNU Free Documentation, versiunea 1.3 sau orice versiune ulterioară publicată de Free Software Foundation; fără secțiuni invariante, fără texte de copertă și fără texte de contra copertă. O copie a licenței este inclusă în secțiunea intitulată „GNU Free Documentation License”.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.